Subject: Re: dtc: Simplify error handling for unparseable input

From: David Gibson <[email-masked]>
Date: Wed, 26 Mar 2008 08:21:27 +1100

On Tue, Mar 25, 2008 at 09:36:19AM -0500, Scott Wood wrote:
> On Tue, Mar 25, 2008 at 12:28:05PM +1100, David Gibson wrote:
> > On Mon, Mar 24, 2008 at 12:36:41PM -0500, Scott Wood wrote:
> > > If you remove this, there'll be no way to indicate semantic errors other
> > > than die() (the NULL approaches are no good, since they inhibit recovery),
> > > which is suboptimal if the error is not immediately fatal.
> > 
> > But everything is immediately fatal.  When we have a *real* example of
> > something that's not, we can restore an error code.
> 
> Failed binary includes are not immediately fatal.

And is there any advantage to having them not immediately fatal?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson